
Katello - Bug #5036

UI: The page loads indefinitely when clicking on System Groups tab for an Activation Key

04/02/2014 05:26 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1075238 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1075238

Description of problem:

UI: The page loads indefinitely when clicking on System Groups tab for an Activation Key

Version-Release number of selected component (if applicable):

candlepin-0.8.25-1.el6sam.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.8.25-1.el6sam.noarch

candlepin-tomcat6-0.8.25-1.el6sam.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.7-1.el6sat.noarch

foreman-postgresql-1.5.0.7-1.el6sat.noarch

foreman-proxy-1.5.2-1.el6sat.noarch

foreman-selinux-1.3.0-1.el6sat.noarch

katello-1.5.0-17.el6sat.noarch

katello-candlepin-cert-key-pair-1.0-1.noarch

katello-certs-tools-1.5.3-1.el6sat.noarch

katello-installer-0.0.25-1.el6sat.noarch

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

How reproducible:

Always

Steps to Reproduce:

1. Create an Activation key in UI

2. Select the newly created Activation key and navigate to the System Group tab

Actual results:

The page loads indefinitely (see screenshot)

Expected results:

System Groups listed
Additional info:

Related issues:

Is duplicate of Katello - Bug #4973: Adding system group to existing activati... Duplicate 03/31/2014

Associated revisions

Revision ccda305d - 04/02/2014 05:31 PM - Thomas McKay

fixes #5036 BZ1075238 - specify table name explicitly in pluck

Revision cdb8e94d - 04/02/2014 11:07 PM - Thomas McKay

Merge pull request #3936 from thomasmckay/5036-pluck

fixes #5036 BZ1075238 - specify table name explicitly in pluck

History

#1 - 04/02/2014 05:27 PM - Thomas McKay

- Status changed from New to Assigned

- Assignee set to Thomas McKay

- Triaged set to Yes

#2 - 04/02/2014 11:52 PM - Thomas McKay

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:ccda305da2c5feaefcd8405a132928924b57022d.

#3 - 06/04/2014 01:49 PM - Eric Helms

- Is duplicate of Bug #4973: Adding system group to existing activation key via UI yields a "silent" 500 added

#4 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13
